<?php

namespace Drupal\synhelper\Hook;

use Drupal\Core\File\FileSystem;

/**
 * FileValidate.
 */
class FileValidate {

  /**
   * Hook.
   */
  public static function hook($file) {
    $destination = self::transliteration($file->destination);
    $basename = FileSystem::basename($destination);
    $directory = FileSystem::dirname($destination);
    $file->destination = \Drupal::service('file_system')->createFilename($basename, $directory);
  }

  /**
   * Transliteration.
   */
  public static function transliteration($str) {
    $str = str_replace(' ', '_', $str);
    $str = \Drupal::transliteration()->transliterate($str);
    $str = strtolower($str);
    return $str;
  }

}
